#!/bin/bash
#Make list of all connected USB devices
USB_DEV_LIST=''
for SHARE in `grep usb /etc/wms.conf  |  awk -F '|' '{print $2}' | cut -c 1-3` ; do
	if [ "x`echo $USB_DEV_LIST | grep $SHARE`" = "x" ] ; then
		USB_DEV_LIST="${USB_DEV_LIST}/dev/${SHARE} "
	fi
done
#Check every USB device with badblocks
for SHARE in $USB_DEV_LIST ; do
	if [ -b "$SHARE" ] ; then
		tmpfile=`mktemp`
		echo "Current share: $SHARE"
		badblocks $SHARE -s -o $tmpfile
		if [ "x$?" = "x0" ] ; then
			if [ -f $tmpfile ] ; then
				if [ "x`cat $tmpfile | wc -l`" = "x0" ] ; then
					echo "USB Flash connected as $SHARE has no badblocks."
				else
					echo  "USB Flash connected as $SHARE has badblocks. Please substitute it to avoid loss of data."
				fi
				rm -f $tmpfile
			else
				echo "USB Flash connected as $SHARE has badblocks. Please substitute it to avoid loss of data."
			fi
		else
				echo "USB Flash connected as $SHARE has badblocks. Please substitute it to avoid loss of data."
		fi
	else
		echo "USB Flash connected as $SHARE not found."
	fi
done
