<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_chat">
        <div id="module_chat_container" style="display:none;">
            <!--<div style="height: 455px; float:left; width:2px;"></div>-->
            <div class="shelldiv_module_chat_chats"><div id="module_chat_chats"></div></div>
            <div class="shelldiv_module_chat_users"><div id="module_chat_users"></div></div>
            <div style="clear:both" />
        </div>

        <!-- conference -->
        <div id="module_chat_conferences_container"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/tab">
         <li id="cti_main_tabs_chat_tab">
            <a href="#cti_main_tabs_chat">
                <xsl:attribute name="title"><xsl:value-of select="/root/trans_texts/conference.messaging" /></xsl:attribute>
                <i class="fa fa-comments-o"></i>
               </a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/tab_content">
        <div id="cti_main_tabs_chat">
            <!-- main -->

            <div id="content">
            <table border="0" cellpadding="0" cellspacing="0" style="table-layout: fixed; " width="100%">
                  <tr>
                      <!-- Left column: roster -->
                      <td class="left_column_chat">
                          <div class="list-roster-header">
                              <div class="chat-title"><xsl:value-of select="/root/trans_texts/chat.Recents"/></div>
                              <div id="subtabs-mes" >
                                  <div class="create" style="visibility: hidden">
                                      <button class='cti_md cti_md_bt_ico cti_md_size2'>
                                          <xsl:attribute name="title">
                                              <xsl:value-of select="/root/trans_texts/hint.conference.create_conference"/>
                                          </xsl:attribute>
                                          <i class="fa fa-users"></i>
                                      </button>
                                  </div>
                                  <div class="conference-menu block_shadow" style="display: none">
                                      <ul>
                                          <li class="conference-btn">
                                              <a href="javascript:void(0)" class='chat'>
                                                  <xsl:attribute name="title">
                                                      <xsl:value-of select="/root/trans_texts/hint.conference.create_chat_conference"/>
                                                  </xsl:attribute>
                                                  <i class="fa fa-plus"></i>&#160;
                                                  <xsl:value-of select="/root/trans_texts/conference.create_chat_conference"/>
                                              </a>
                                          </li>
                                          <li class="conference-btn">
                                              <a href="javascript:void(0)" class='video'>
                                                  <xsl:attribute name="title">
                                                      <xsl:value-of select="/root/trans_texts/hint.conference.create_video_conference"/>
                                                  </xsl:attribute>
                                                  <i class="fa fa-plus"></i>&#160;
                                                  <xsl:value-of select="/root/trans_texts/conference.create_video_conference"/>
                                              </a>
                                          </li>
                                          <li>
                                              <hr/>
                                          </li>
                                          <li>
                                              <ul>
                                              </ul>
                                          </li>
                                      </ul>
                                  </div>
                              </div>
                          </div>
                          <div id="list_roster" class="scroll-fix" style="display:none;"></div>
                          <div id="list_roster_mess" style="display:none;"><xsl:value-of select="/root/trans_texts/chat.noActiveChat"/></div>

                      </td>

                      <!-- Left column: participants and control buttons -->
                      <td style="display:none;" id="conference_manage"></td>

                      <!-- Right column: messages area and send message controls -->
                      <td style="width: auto; vertical-align: top;">

                        <div id="module_chat_new_chats_content"></div>

                      </td>
                  </tr>
            </table>
            </div>
            <!-- main -->
        </div>

        <xsl:apply-templates select="/root/modules/module_chat/chat_template"/>
        <xsl:apply-templates select="/root/modules/module_chat/chat_template_date_header"/>
        <xsl:apply-templates select="/root/modules/module_chat/chat_template_message"/>
        <div id="module_chat_create_conference_container"></div>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/context-menu">
          <xsl:if test="/root/modules/module_roster/@enabled = '1'">
            <div id="mes_roster_context_menu" class="cti_context_menu block_shadow">
                <ul>
                    <li rel="call" ><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.Call"/></a></li>
                    <li rel="recall"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.CallMe"/></a></li>
                    <li rel="pickup"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.PickUp"/></a></li>
                    <li rel="listen"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Listen"/></a></li>
                    <li rel="barge"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Barge"/></a></li>
                    <li rel="whisper"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Whisper"/></a></li>
                    <li rel="setPresence"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.setPresence"/></a></li>
                    <li rel="del"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.Remove"/></a></li>
                    <xsl:if test="/root/@ipad > 0">
                        <hr/>
                        <li rel="close"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Close" /></a></li>
                    </xsl:if>
                </ul>
            </div>
        </xsl:if>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template">
        <script id="chat_template" type="text/x-jquery-tmpl">
            <![CDATA[
                <!-- This is only used for layout min-width limiting -->
                <div style="position:relative;">

                    <div class="texts">
                        {{if $item.data.isConference == true}}
                            <div class="heading">
                                <table>
                                <tr>
                                    <td>
                                        <div class="conference_title"></div>
                                    </td>
                                    <td class="link"></td>
                                </tr>
                                </table>
                            </div>
                        {{/if}}
                        {{if $item.data.isConference != true}}
                        <div class="chat_info_header">
                            <table class="chat_info_header_table" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
                                        <div class="avatar-area">
                                            <div class='avatar' style='width: auto; height: auto;' title='${titleText}'></div>
                                            <span class="status status-18" jid="${userNum}">{{html icon}}</span>
                                        </div>
                                    </td>
                                    <td class="user_info">
                                        <div class='name'>
                                            <span class='nameus' title='${titleText}'>${user.name} {{if $item.data.user.isTemporary != true}} (${userNum}) {{/if}}</span>
                                            <span class='spec' title='${statusText}'>${statusText}</span>
                                            <span class='additional-info profile-data'>
                                            </span>
                                            <span class='additional-info profile-email'>
                                                 <div>&nbsp;</div>
                                            </span>
                                            <span class='additional-info profile-parent-url'>
                                                <div>&nbsp;</div>
                                            </span>
                                            <div class="clear"></div>
                                        </div>
                                        <div class='desc' title='${titleText}'>${shortStatusMsg}</div>
                                    </td>
                                    <td {{if $item.data.user.isTemporary == true}} style="display: none;" {{/if}}><button class='cti_md cti_md_bt_ico cti_md_size2 call' title="${texts.call}" ><i class="fa fa-phone"></i></button></td>
                                    <td {{if $item.data.user.isTemporary == true}} style="display: none;" {{/if}}><button class='cti_md cti_md_bt_ico cti_md_size2 hangup' title="${texts.hangup}" ><i class="fa fa-phone"></i></button></td>
                                    <td {{if $item.data.hideVideoConferenceBtn == true }}  style="display: none;" {{/if}}><button class='cti_md cti_md_bt_ico cti_md_size2 video-conference' title="${texts.video_conference}"><i class="fa fa-plus"></i></button></td>
                                    <td {{if $item.data.hideVideoBtn == true}}  style="display: none;" {{/if}}><button class='cti_md cti_md_bt_ico cti_md_size2 video-share' title="${texts.video_call}"><i class="fa fa-video-camera"></i></button></td>
                                    <td {{if $item.data.hideScreenBtn == true}} style="display: none;" {{/if}}><button class='cti_md cti_md_bt_ico cti_md_size2 screen' title="${texts.screen_share}" disabled="disabled"><i class="fa fa-desktop"></i></button><button class='cti_ui-button cti_ui-button-icon rounded-5 stop-screen' title="Stop screen" style="display: none;" disabled="disabled"><i class="fa fa-desktop" style="color:red;"></i></button></td>
                                    <td {{if $item.data.user.isTemporary != true}} style="display: none;" {{/if}} ><button class='cti_md cti_md_bt_ico cti_md_size2 transfer' title="${texts.transfer}" disabled="disabled"><span class="fa-stack"><i class="fa fa-comments-o fa-stack-1x"></i><i class="fa fa-arrow-right fa-stack-1x"></i></span></button></td>
                                    <td {{if $item.data.user.isTemporary != true}} style="display: none;" {{/if}} ><button class='cti_md cti_md_bt_ico cti_md_size2 email-transcript' title="${texts.emailTranscript}"><i class="fa fa-envelope-o"></i></button></td>
                                    <td {{if $item.data.user.isTemporary != true}} style="display: none;" {{/if}} ><button class='cti_md cti_md_bt_ico cti_md_size2 end-chat' title="${texts.endChat}" disabled="disabled"><i class="fa fa-times"></i></button></td>
                                </tr>
                            </table>
                        </div>
                        {{/if}}
                        <div class="scroll-fix">

                            <div class="messages">

                                <div class="messages_container">

                                </div>
                                <div class="go-down"><i class="fa fa-chevron-circle-down" aria-hidden="true"></i></div>
                            </div>

                        </div>
                        {{if $item.data.isConference != true}}
                        <div class="chat_sms_footer" style='display:none'>
                            <table>
                                <tr>
                                    <td class="sms_warning">${texts.send_sms_text}</div></td>
                                    <td><input type='button' class='cti_ui-button rounded-5 sms' value="${texts.send_sms}" /></td>
                                    <td><input type='button' class='cti_ui-button rounded-5 close' value="${texts.close}" /></td>
                                </tr>
                            </table>
                        </div>
                        {{/if}}

                    </div>

                    <div class="send-chat-message">
                          <div class="message">
                              <div class="fake-input-wrapper">
                                  <div id="message" class="fake-input" contenteditable="true" tabindex="0"></div>
                                  <div class="placeholder">${texts.type_a_message}...</div>
                                  <div class="message-buttons-wrapper">
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 smiles-btn"><i class="fa fa-smile-o"></i></button>
                                   <div {{if $item.data.isConference == true}} style="display: none;" {{/if}} class="file-select-wrapper paperclip-btn">
                                       <button class="cti_md cti_md_bt_ico cti_md_size2"><i class="fa fa-paperclip"></i></button>
                                       <input type="file" class="file-select">
                                   </div>
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 microphone-btn"><i class="fa fa-microphone"></i></button>
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 postit-btn postit"  {{if $item.data.user.isTemporary == true || $item.data.isConference == true}} style="display: none;" {{/if}}  title="${texts.send_postit}"><i class="fa fa-thumb-tack fa-rotate-45"></i></button>
                                   <button class="cti_md cti_md_bt_ico cti_md_size2 sms-btn sms"  {{if $item.data.user.isTemporary == true || $item.data.isConference == true}} style="display: none;" {{/if}} title="${texts.send_sms}" >
                                       <span class="fa-stack" data-title="${texts.send_sms}">
                                           <i class="fa fa-mobile fa-stack-1x"></i>
                                           <i class="fa fa-envelope fa-stack-1x"></i>
                                       </span>
                                   </button>
                                   <div class="smiles block_shadow" style="display: none">
                                       <ul class="tabs"></ul>
                                       <div></div>
                                   </div>
                                  </div>
                              </div>
                          </div>
                    </div>

                </div>
            ]]>
        </script>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template_message">
        <script id="chat_template_message" type="text/x-jquery-tmpl">
            <![CDATA[
                    <div class="text-message {{if $item.data.fromMe == 1}}from-self{{/if}} {{if $item.data.notFirst}}not-first{{/if}} {{if $item.data.onlyEmoji}}only-emoji{{/if}} " {{if $item.data.id}} id="${id}"{{/if}}>
                        {{if $item.data.userName}}<span class="from" title="${noUserAvatar}">${userName}</span>{{/if}}
                        <span class="text">
                            {{if $item.data.isPostIt == true}}
                                <span class="postit_in_chat">
                                    <i class="fa fa-thumb-tack fa-rotate-45"></i>
                                </span>
                            {{/if}}
                            {{html $item.data.message}}
                        </span>
                        <span class="text-message-info">
                            <span class="time">${messageTime}</span>
                               {{if $item.data.type == "outgoing" && $item.data.messageDelivered!=1}}<span class="loader"><i class="fa fa-ellipsis-h"></i></span>{{/if}}

                            <div class="clear"></div>
                        </span>
                    </div>
                    <div class="clear"></div>
            ]]>
        </script>

        <script id="chat_template_system_message" type="text/x-jquery-tmpl">
            <![CDATA[
                    <div class="system-info">
                        <div class="system-info-center">
                            <span class="text"><i class="fa fa-flag"></i>&#160;{{html $item.data.message}}</span>
                            <span class="text-message-info">
                                <span class="time">${messageTime}</span>
                            </span>
                        </div>
                    </div>
            ]]>
        </script>

        <script id="chat_template_file_transfer" type="text/x-jquery-tmpl">
            <![CDATA[
                    <div class="file-transfer-message text-message {{if $item.data.fromMe == 1}}from-self{{/if}} {{if $item.data.notFirst}}not-first{{/if}} " {{if $item.data.id}} id="${id}"{{/if}}>
                        {{if $item.data.userName}}<span class="from">${userName}</span>{{/if}}

                        <span class="text">
                            <i class="fa fa-file-o"></i>
                            <span class="file-name">${fileName}</span>
                            <span class="file-actions">
                                {{if $item.data.type == "incoming"}}
                                <button class="accept cti_ui-button" title="${acceptLabel}"><i class="fa fa-check"></i>  </button>
                                <button class="download cti_ui-button"> ${downloadLabel} </button>
                                {{/if}}
                                <button class="cancel cti_ui-button" title="${cancelLabel}"><i class="fa fa-times"></i>  </button>
                            </span>
                            <span class="progress">
                                <span class="progress-bar"> </span>
                                <span class="progress-text"> </span>
                            </span>
                            <span class="info">
                                ${fileSize}
                            </span>
                        </span>
                        <span class="text-message-info">
                            <span class="time">${messageTime}</span>
                            <span class="loader"><i class="fa fa-ellipsis-h"></i></span>
                            <div class="clear"></div>
                        </span>
                        <div class="clear"></div>
                    </div>
                    <div class="clear"></div>
            ]]>
        </script>
    </xsl:template>

    <xsl:template match="/root/modules/module_chat/chat_template_date_header">
        <script id="chat_template_date_header" type="text/x-jquery-tmpl">
            <![CDATA[
                <div class="date-section"><div class="date-section-position"><div class="date-section-center text" data-time="${messagesDatetime}">${messagesDate}</div></div></div>
            ]]>
        </script>
    </xsl:template>

</xsl:stylesheet>
