(function($){ //To-do: remove after prototype removed

	var AutoUpgradeSettings = function(data){
		this.constructor(data);
	}

	AutoUpgradeSettings.prototype = {
		constructor: function(data){
			this._data = data.autoUpgradeConfig;

			this.mainForm = $("#auto_upgrade");
			this.buttonSave = this.mainForm.find('#upgrade_save').click($.proxy(this.save,this));

			this.mainForm.checkForm({
				rules: [
					"required,upgrade_repo,"+WMS._t('rules.CannotBeEmpty'),
					"required,upgrade_email,"+WMS._t('rules.CannotBeEmpty'),
					"valid_email,upgrade_email,"+WMS._t('rules.enterValidValue')
				]
			});

			this.mainForm.find("#upgrade_enabled").change($.proxy(this.checkEditMode,this));

			$(window).bind('beforeunload', $.proxy(function(){
				if (this.isDirty()){
					return WMS._t('prefs.are_you_sure_want_to_exit_without_save');
				}
			},this));
		},
		load : function(){
			if (this._data){
				this.setData(this._data);
			}
			this.checkEditMode();
			return this;
		},
		validate: function(){
			return this.mainForm.checkForm('validate');
		},
		getData: function(){
			var data = {};
			this.mainForm.find('input,select').not('[type=button]').each(function(item) {
				var id = $(this).attr('id');
				if (!id)
					return;
				//Remove form prefix to retrive real name
				var name = id.split('upgrade_')[1],
					value = $(this).val();
				if (name){
					if (['enabled'].indexOf(name)>-1){
						value = $(this).is(':checked')?'yes':'no';
					}
					data[name] = value;
				}
			});
			return data;
		},
		setData: function(data){
			$.each(data, $.proxy(function(name, value){
				if (['enabled'].indexOf(name)>-1){
					this.mainForm.find('#upgrade_'+name).prop('checked',value=='yes'?true:false);
				} else {
					if (name == 'password'){
						this.mainForm.find('#upgrade_'+name).passwordToggler('val',value);
					} else {
						this.mainForm.find('#upgrade_'+name).val(value);
					}
				}
			},this));
		},
		isDirty: function(){
			var result = false;
			$.each(this.getData(), $.proxy(function(name, value){
				if (this._data[name] != value){
					result = true;
					return false;
				}
			},this));
			return result;
		},
		checkEditMode: function(data){
			if ( this.mainForm.find('#upgrade_enabled').is(':checked') ){
				this.mainForm.find('input,select').not('input[type=button]').not('input[type=checkbox]').prop('disabled',false);
			} else {
				this.mainForm.find('input,select').not('input[type=button]').not('input[type=checkbox]').prop('disabled',true);
			}
		},
		save: function(){
			if ( this.mainForm.find('#upgrade_enabled').is(':checked') ){
				if (!this.validate()){
					return;
				}
			}
			ap_showWaitMessage('waitDiv', 1);
			$.ajax({
				url: '/api/v1/PBX/settings/Upgrade/',
				type: 'POST',
				dataType: 'json',
				data: {
					data: this.getData(),
					_METHOD: 'PUT'
				},
				success: $.proxy(function (response, textStatus, jqXHR) {
					if (response && response.result && response.result.account){
						this._data = response.result;
						this.load();
					} else {
						//Store to detect dirty flag in future
						this._data = this.getData();
					}
				},this),
				error: $.proxy(function(jqXHR, textStatus, errorThrown){
					setError('error', this.parseResponseError(jqXHR) );
				},this),
				complete: function(){
					ap_showWaitMessage('waitDiv', 0);
				}
			});
		},
		parseResponseError: function(jqXHR){
			var error = '';
			if(jqXHR && jqXHR.responseText && jqXHR.responseText.indexOf('{')===0){
				var response = jQuery.parseJSON(jqXHR.responseText);
				if(response && response['reason']){
					error = '' + response['reason'];
				}
			}
			return error || 'Unknown error';
		}
	}

	$( document ).ready(function() {
		window.us = new AutoUpgradeSettings(pageData).load();
	});


})(jQuery);